Subject: bug#48264: [PATCH v3 07/15] Add BVAR_OR_DEFAULT macro as a stub

From: Spencer Baugh <[email-masked]>
Date: Fri, 07 May 2021 09:24:02 -0400

Eli Zaretskii <[email-masked]> writes:
>> From: Spencer Baugh <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 07 May 2021 09:05:26 -0400
>> 
>> >> +#define BVAR_OR_DEFAULT(buf, field) BVAR (buf, field)
>> >
>> > What am I missing here?
>> 
>> The commit message is accurate - we indeed use BVAR for buffer variables
>> without a default, and BVAR_OR_DEFAULT for buffer variables with a
>> default.
>> 
>> It's just that in this commit, those two behave identically.  The
>> immediate next commit makes them different.
>
> I thought I asked you not to make changes that are overwritten by
> subsequent patches in the series, as it makes review harder.  It also
> makes the supposedly separate changes in the set not really separate,
> because one cannot revert one of them and still have a functional
> Emacs.

Sure, I can merge the two changes together, I'll do that for the next
revision of the series.  Just felt this was easier to review.